package main

import "surdeus.su/core/cli/mtool"
import "surdeus.su/core/amo"
import "surdeus.su/core/ss/urlenc"

type LeadTupleGetter struct{}
func (l LeadTupleGetter) GetValues(
	c *amo.Client,
	opts ...urlenc.Builder,
) (
	[]amo.LeadTuple,
	amo.NextFunc[[]amo.LeadTuple],
	error,
) {
	return c.GetLeadTuples(opts...)
}

func (l LeadTupleGetter) GetNameMul() string {
	return "lead tuples"
}

func (l LeadTupleGetter) GetFuncName() string {
	return "amo.GetLeadTuples"
}

var getLeadTuple = mtool.T("get-lead-tuples").Func(func(
	flags *mtool.Flags,
){
	RunGetter(LeadTupleGetter{}, flags)
}).Usage(
	"[id1 id2 ... idN]",
)
